# Generated by Django 2.2.12 on 2020-07-07 14:56

import core.models.user_account
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0004_feedback_modified'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='studentinfo',
            name='exam',
        ),
        migrations.RemoveField(
            model_name='studentinfo',
            name='passes_exam',
        ),
        migrations.RemoveField(
            model_name='studentinfo',
            name='total_score',
        ),
        migrations.AlterField(
            model_name='useraccount',
            name='exercise_groups',
            field=models.ManyToManyField(blank=True, default=core.models.user_account.group_default, related_name='users', to='core.Group'),
        ),
        migrations.CreateModel(
            name='StudentsExam',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_score', models.PositiveIntegerField(default=0)),
                ('passes_exam', models.BooleanField(default=False)),
                ('exam', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='exam', to='core.ExamType')),
                ('student', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='students', to='core.StudentInfo')),
            ],
        ),
        migrations.AddField(
            model_name='studentinfo',
            name='exams',
            field=models.ManyToManyField(blank=True, related_name='exams', to='core.StudentsExam'),
        ),
    ]
